Package it.ernytech.tdlib

## Class TdApi.InputMessagePhoto

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputMessageContent
    - - it.ernytech.tdlib.TdApi.InputMessagePhoto

Enclosing class:
  TdApi

    public static class TdApi.InputMessagePhoto
    extends TdApi.InputMessageContent

A photo message.

### Field Summary

Fields
`int[]` `addedStickerFileIds` File identifiers of the stickers added to the photo, if applicable.
`TdApi.FormattedText` `caption` Photo caption; 0-200 characters.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `height` Photo height.
`TdApi.InputFile` `photo` Photo to send.
`TdApi.InputThumbnail` `thumbnail` Photo thumbnail to be sent, this is sent to the other party in secret chats only.
`int` `ttl` Photo TTL (Time To Live), in seconds (0-60).
`int` `width` Photo width.

### Constructor Summary

Constructors
`InputMessagePhoto()` Default constructor.
`InputMessagePhoto​(TdApi.InputFile photo, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int width, int height, TdApi.FormattedText caption, int ttl)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### photo

    public TdApi.InputFile photo

Photo to send.

#### thumbnail

    public TdApi.InputThumbnail thumbnail

Photo thumbnail to be sent, this is sent to the other party in secret chats only.

#### addedStickerFileIds

    public int[] addedStickerFileIds

File identifiers of the stickers added to the photo, if applicable.

#### width

    public int width

Photo width.

#### height

    public int height

Photo height.

#### caption

    public TdApi.FormattedText caption

Photo caption; 0-200 characters.

#### ttl

    public int ttl

Photo TTL (Time To Live), in seconds (0-60). A non-zero TTL can be specified only in private chats.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputMessagePhoto

    public InputMessagePhoto()

Default constructor.

#### InputMessagePhoto

    public InputMessagePhoto​(TdApi.InputFile photo,
                             TdApi.InputThumbnail thumbnail,
                             int[] addedStickerFileIds,
                             int width,
                             int height,
                             TdApi.FormattedText caption,
                             int ttl)

Constructor for initialization of all fields.

Parameters:
  `photo` - Photo to send.
  `thumbnail` - Photo thumbnail to be sent, this is sent to the other party in secret chats only.
  `addedStickerFileIds` - File identifiers of the stickers added to the photo, if applicable.
  `width` - Photo width.
  `height` - Photo height.
  `caption` - Photo caption; 0-200 characters.
  `ttl` - Photo TTL (Time To Live), in seconds (0-60). A non-zero TTL can be specified only in private chats.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR